## org.red5.server.net.rtmp
Interface IRTMPHandler

All Known Implementing Classes:
  BaseRTMPClientHandler, BaseRTMPHandler, EdgeRTMPHandler, RTMPClient, RTMPHandler, RTMPSClient, RTMPTClient, RTMPTHandler

    public interface IRTMPHandler

RTMP events handler

Method Summary
`void` `connectionClosed(RTMPConnection conn, RTMP state)` Connection closed
`void` `connectionOpened(RTMPConnection conn, RTMP state)` Connection open event
`void` `messageReceived(RTMPConnection conn, ProtocolState state, Object message)` Message recieved
`void` `messageSent(RTMPConnection conn, Object message)` Message sent

Method Detail

### connectionOpened

    void connectionOpened(RTMPConnection conn,
                          RTMP state)

  Connection open event

  Parameters:
    `conn` - Connection
    `state` - RTMP state

### messageReceived

    void messageReceived(RTMPConnection conn,
                         ProtocolState state,
                         Object message)
                         throws Exception

  Message recieved

  Parameters:
    `conn` - Connection
    `state` - RTMP state
    `message` - Message
  Throws:
    `Exception` - Exception

### messageSent

    void messageSent(RTMPConnection conn,
                     Object message)

  Message sent

  Parameters:
    `conn` - Connection
    `message` - Message

### connectionClosed

    void connectionClosed(RTMPConnection conn,
                          RTMP state)

  Connection closed

  Parameters:
    `conn` - Connection
    `state` - RTMP state

Copyright © 2006-2010 The Red5 Project